Debian Bug report logs - #588714
[debchange] Add support for --team option

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Charles Plessy <plessy@debian.org>

Date: Sun, 11 Jul 2010 14:21:01 UTC

Severity: wishlist

Tags: patch

Found in version devscripts/2.10.64

Fixed in version devscripts/2.10.65

Done: James Vega <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#588714; Package devscripts. (Sun, 11 Jul 2010 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Sun, 11 Jul 2010 14:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devscripts: [debchange] --team option for team uploads.
Date: Sun, 11 Jul 2010 23:19:25 +0900
[Message part 1 (text/plain, inline)]
Package: devscripts
Version: 2.10.64
Severity: wishlist
Tags: patch

Dear debchange maintainers,

There were discussions in 2009 and 2010 about “Team uploads”, briefly
summarised on the Debian wiki: ‘http://wiki.debian.org/TeamUpload’.

Team uploads have been documented in the Developers reference, and Lintian has
been adapted to understand them. Here is a patch to add an option “--team” to
debchange, that turns off NMU detection and starts the changelog with:

  * Team upload.

I tried to make the modifications the less invasive as possible, so I have not
reformatted the source if the lines look like being larger than 80 characters.
Within the groups of options that have similar purposes, I tried to add the
code for team uploads just after the code for security uploads, because it is
the previous letter in the alphabet.

Please let me know of any improvement I can do to the attached patch, and if
I can commit it directly.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[0001-debchange-added-a-team-option.patch (text/plain, attachment)]

Changed Bug title to '[debchange] Add support for --team option' from 'devscripts: [debchange] --team option for team uploads.' Request was from James Vega <jamessan@debian.org> to control@bugs.debian.org. (Sun, 11 Jul 2010 15:12:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from James Vega <jamessan@debian.org> to control@bugs.debian.org. (Mon, 12 Jul 2010 12:24:11 GMT) Full text and rfc822 format available.

Message sent on to Charles Plessy <plessy@debian.org>:
Bug#588714. (Mon, 12 Jul 2010 12:24:30 GMT) Full text and rfc822 format available.

Message #12 received at 588714-submitter@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: 588714-submitter@bugs.debian.org
Subject: Bug#588714 marked as pending
Date: Mon, 12 Jul 2010 12:20:35 +0000
tag 588714 pending
thanks

Hello,

Bug #588714 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=devscripts/devscripts.git;a=commitdiff;h=14c5e01

---
commit 14c5e01fe89783e987bb4270806c7ddc3878010e
Author: James Vega <jamessan@debian.org>
Date:   Sun Jul 11 14:33:55 2010 -0400

    debchange: Add changelog entry and update man page for --team flag.
    
    Signed-off-by: James Vega <jamessan@debian.org>

diff --git a/debian/changelog b/debian/changelog
index 3fd2a22..4b8a739 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -73,6 +73,9 @@ devscripts (2.10.65) UNRELEASED; urgency=low
       requirements.  (Closes: #580600)
     + Allow specifying for which architecture to build the package.
 
+  [ Charles Plessy ]
+  * debchange: Add “--team” support.  (Closes: #588714)
+
  -- Martin Zobel-Helas <zobel@debian.org>  Tue, 11 May 2010 20:48:16 +0200
 
 devscripts (2.10.64) unstable; urgency=low




Reply sent to James Vega <jamessan@debian.org>:
You have taken responsibility. (Tue, 13 Jul 2010 03:36:53 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Tue, 13 Jul 2010 03:36:54 GMT) Full text and rfc822 format available.

Message #17 received at 588714-close@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: 588714-close@bugs.debian.org
Subject: Bug#588714: fixed in devscripts 2.10.65
Date: Tue, 13 Jul 2010 03:32:07 +0000
Source: devscripts
Source-Version: 2.10.65

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive:

devscripts_2.10.65.dsc
  to main/d/devscripts/devscripts_2.10.65.dsc
devscripts_2.10.65.tar.gz
  to main/d/devscripts/devscripts_2.10.65.tar.gz
devscripts_2.10.65_i386.deb
  to main/d/devscripts/devscripts_2.10.65_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588714@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Vega <jamessan@debian.org> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 12 Jul 2010 23:22:08 -0400
Source: devscripts
Binary: devscripts
Architecture: source i386
Version: 2.10.65
Distribution: unstable
Urgency: low
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Changed-By: James Vega <jamessan@debian.org>
Description: 
 devscripts - scripts to make the life of a Debian Package maintainer easier
Closes: 497489 498898 530581 531327 535368 552693 563390 565889 572006 577564 577998 578118 578167 578334 580600 581224 583067 584734 584735 587217 587265 587517 588502 588714
Changes: 
 devscripts (2.10.65) unstable; urgency=low
 .
   [ James Vega ]
   * Remove mergechanges from the set of commands which use completion of
     package names.  (Closes: #578167)
   * bts:
     + Use sendmail to send mails with extra headers when $(DEB)EMAIL aren't
       present.  (Closes: #577564)
     + Document that $(DEB)EMAIL must be in the environment to send email using
       either --mutt or --smtp-host.  (Closes: #578334)
     + Cleanup the help output and add some options which were only documented
       in the man page.
     + Allow specifying multiple tag modifiers (+, -, =) in one tag stanza.
       (Closes: #578118)
     + Document the valid values for the status key in the select command.
       (Closes: #583067)
   * debsnap:
     + Iterate over the list of files listed for a hash until we find one that
       matches the requested package.  (Closes: #584734)
     + Warn and move on to the next file if no files are present for a given
       hash or none match the requested package.  (Closes: #587265)
     + Handle error responses from snapshot.debian.org.  (Closes: #587217)
     + Use the basename of the file being downloaded as the name under which to
       save it.  (Closes: #584735)
     + Do not remove the destination directory when --force is given.  (Closes:
       #587517)
   * Remove --ignore-dirname options (and deprecation notices) from all
     scripts.  6.5 years is long enough to stop using that option.
   * diff2patches: Document the patch naming scheme and use of “debian/” as the
     destination directory when “debian/patches/” doesn't exist.  (Closes:
     #552693)
   * mk-build-deps:
     + Add options to build packages which depend on solely Build-Depends or
       Build-Depends-Indep.  (Closes: #498898)
     + Include build-essential in Depends.  (Closes: #565889)
   * debi: Use “dpkg -O” instead of parsing dpkg-query's output to upgrade only
     packages which are already installed.  (Closes: #563390)
   * debcheckout: Specifically call out that Debian hosts are already handled
     in DEBCHECKOUT_AUTH_URLS' description.  Thanks to martin f. krafft for the
     suggested wording.  (Closes: #530581)
   * debchange: When running “dch -r”, use <dist>-backports if a backports
     upload is detected.  (Closes: #588502)
   * uupdate: Use “0ubuntu1” for the Debian revision of the version number when
     running uupdate on Ubuntu systems.  Based on a patch by Guillaume Martres.
     (Closes: #577998)
   * Ship French man pages in UTF-8 now that #196762 is fixed.
 .
   [ Martin Zobel-Helas ]
   * Remove svk from Recommends, it is no longer in the archive. (Closes:
     #581224)
 .
   [ Raphael Geissert ]
   * checkbashisms:
     + Makefile handling:
       - Simplify make variables as shell variables.  (Closes: #535368)
       - Convert all $$ to $.
       - Recognize SHELL setting in Makefile when being set as an override.
       - Ignore make's '-' for ignore errors.
       - Fix some false positives due to target names.
     + Detect incorrect use of ^ instead of ! for negation in pattern matching
       collections.  (Closes: #497489)
     + Detect use of {post,pre}{increment,decrement} in arithmetic expansion.
       (Closes: #572006)
     + Detect use of Bash's “printf -v var ...” or the %b and %q format
       specifiers.
     + Detect use of the Bash's “coproc” keyword.
     + Detect use of Bash's “;;&” and ”;&” operators.
     + Add support for handling line continuations.  (Closes: #531327)
     + Fix a false positive with file redirection.
     + Fix handling of indented heredoc delimiters.
     + Fix some parsing of quoted strings.
     + Detect use of exponentiation.
     + Detect use of the 'jobs' built-in.
     + Detect use of command with options other than “-p”.
     + Fix a false positive with redirection to an fd specified via a variable.
     + Detect unexpected EOF for unclosed heredocs, quoted strings, and line
       continuations.
 .
   [ Simon McVittie ]
   * mk-build-deps:
     + Build an Arch: any package if any of the Build-Depends have architecture
       requirements.  (Closes: #580600)
     + Allow specifying for which architecture to build the package.
 .
   [ Charles Plessy ]
   * debchange: Add “--team” support.  (Closes: #588714)
Checksums-Sha1: 
 7a5cef643ff4765dc78ddebd8bf8802ac81c37be 1443 devscripts_2.10.65.dsc
 540b4c2cbfcb66b11f0ef2b3dc92a91ffad59a85 694458 devscripts_2.10.65.tar.gz
 261b1a008f97f565b59f9456124101b23679195e 596490 devscripts_2.10.65_i386.deb
Checksums-Sha256: 
 73d71094e5f31c1cce5b0b973152393c27ddd59bb80024f9613179f3933ef24e 1443 devscripts_2.10.65.dsc
 be522f5f3aa505e7b7d9d47f8c6a61fc0e237d4329b2337b044344a21603d69c 694458 devscripts_2.10.65.tar.gz
 3a5c62ce42058c9674aa46769c1382951a9ca091162b7bf5350dc0f22f220629 596490 devscripts_2.10.65_i386.deb
Files: 
 20b6efe0127f91ec59ddf4fa5e444063 1443 devel optional devscripts_2.10.65.dsc
 6f8943b59841c8cb83db41c5c6f9918f 694458 devel optional devscripts_2.10.65.tar.gz
 ef79ab1e4f44baa88e737a1c563f6346 596490 devel optional devscripts_2.10.65_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkw73YIACgkQDb3UpmEybUD13QCgnQcZL4wdc7qAzeb1IEEg6y+V
p8sAnjhxcNtccj48HCDy82WGEu/WpaL5
=BgGK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Aug 2010 07:35:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:01:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.